/*
 * Author: username
 * Date: todays_date 
 * filename: EnOut.c
 * description: module_purpose
 */
#ifndef __AVR_ATtiny404__
#define __AVR_ATtiny404__
#endif


#include <avr/io.h>
#include "EnOut.h"
#include "RegEdit.h"


void EnOut_InitTimerA(void)
{

}

void EnOut_SetupPins(void)
{
    RegEdit_SetBit((void *) &PORTA.DIR, G1);
}


void EnOut_SetAllHigh(void)
{
    RegEdit_SetBit((void *) &PORTA.OUT, G1);
}



void EnOut_PulsePins(uint16_t pulse_time)
{
    Delay_MicroSeconds(pulse_time);

    RegEdit_ClearBit((void *) &PORTA.OUT, G1);
}
